PROGRAM Month (Input, Output, NewMonth, TempBoot);

(* Jason Lester
   13148 Prices Bridge Road
   Glade Spring, VA 24340-4510
   (703)429-5501               *)

(* This program will read in two DOS text files containing today's date and
   last month's date.  If the month is different, it will print a warning
   that it is time to perform a hard disk scan.  The warning can be changed
   to anything that you want to happen monthly.                             *)

USES Crt;

VAR
  NewMonth : Text;   (* The text file containing last month *)
  TempBoot : Text;   (* The text file created each time AUTOEXEC.BAT is *)
                     (* executed *)
  PreviousMonth,     (* Holds the last month as an integer *)
  ThisMonth,         (* Holds this month as an integer *)
  Counter  : Integer;(* Used to step through unused portions of text files *)
  Pointer,           (* Simply used to get rid of unnecessary characters *)
  PreviousDigit1,    (* Gets the first digit of the month - 0 or 1 *)
  PreviousDigit2,    (* Gets the second digit of the month - 0 or 9 *)
  NewDigit1,         (* Gets the first digit of the month *)
  NewDigit2,         (* Gets the second digit of the month *)
  KeyPress : Char;   (* Used to pause if there is a new month *)

BEGIN
  Assign (NewMonth, 'C:\NEWMONTH.TXT');
  Assign (TempBoot, 'C:\TEMPBOOT.TXT');
  Reset (Newmonth);
  Reset (TempBoot);
  Counter := 0;
  WHILE (Counter < 20 ) DO
    BEGIN (* While *)
      Read (NewMonth,Pointer);
      Counter := Counter + 1;
    END;  (* While *)
  Read (NewMonth,PreviousDigit1);
  Read (NewMonth,PreviousDigit2);

(* The following code uses the ASCII collating sequence to convert a
   character type into an integer type.                               *)

  PreviousMonth := 0;
  PreviousMonth := (PreviousMonth * 10) + (Ord(PreviousDigit1) - Ord('0'));
  PreviousMonth := (PreviousMonth * 10) + (Ord(PreviousDigit2) - Ord('0'));
  Counter := 0;
  WHILE (Counter < 20 ) DO
    BEGIN (* While *)
      Read (TempBoot,Pointer);
      Counter := Counter + 1;
    END;  (* While *)
  Read (TempBoot,NewDigit1);
  Read (TempBoot,NewDigit2);

(* The following code uses the ASCII collating sequence to convert a
   character type into an integer type.                              *)

  ThisMonth := 0;
  ThisMonth := (ThisMonth * 10) + (Ord(NewDigit1) - Ord('0'));
  ThisMonth := (ThisMonth * 10) + (Ord(NewDigit2) - Ord('0'));
  IF NOT (PreviousMonth = ThisMonth) THEN
    BEGIN
      ClrScr;

(* Change the following line to say whatever you want. *)

      Writeln('Today is a new month..time to run ScanDisk!!');
      Writeln('Press <ENTER> to continue...');

(* The following line pauses for user input *)

      Readln(KeyPress);
    END;
  Close (NewMonth);
  Close (TempBoot);
END.
